// 测试用的模拟队列数据
const mockQueueData = [
    { user: "Alice Chen", wait_time: "15" },
    { user: "Bob Wang", wait_time: "1300" },
    { user: "Charlie Liu", wait_time: "1200" }
];

export async function fetchQueueData() {
    try {
        const response = await fetch('/vcast/queue_info');
        const data = await response.json();
        // console.log(data)
        return data;
    } catch (error) {
        console.error('Error fetching queue data:', error);
        return mockQueueData;
    }
}